<?php
/*
    LWAT, LDAP Webbased Administration Tool
    Copyright (C) 2007 Finn-Arne Johansem <faj@bzz.no> BzzWare AS, Norway 

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/
    require_once ('functions.php') ;
    session_start() ;
    if (!isset($_SESSION['key'])) {
        $key = crypt(sprintf (gettimeofday (true))) ;
        $_SESSION['key'] = $key ; 
    }
    loadLocale () ; 
    ob_start () 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
<?php 
    header('Content-type: text/html; charset=UTF-8'); 
?>
        <title>
            Ldap based Administration
        </title>
        <script language="javascript" type="text/javascript"
                src="./admin.js">
        </script>
        <style type="text/css">
            p.leftcolumn {
                margin-right: 120px
                }
        </style>
        <style type="text/css">
            div.rightcolumn {
                position:absolute; 
                left: 150px;
                top: 30px
            }
        </style>
    </head>
    <body>
	<H4><?php echo _("Users") ; ?></H4>
	<div id="usermenu">
	    <A HREF="javascript:;" onclick="ajaxBusy=false ; Action ('userSearchForm', 'main');">
		<?php echo _("Search"); ?>
	    </A><BR>
	    <A HREF="javascript:;" onclick="ajaxBusy=false ; Action ('userAddForm', 'main');">
		<?php echo _("Add") ; ?>
	    </A>
	</div>
	<H4><?php echo _("Groups"); ?></H4>
	<div id="groupmenu">
	    <A HREF="javascript:;" onclick="ajaxBusy=false ; Action ('groupSearchForm', 'main');">
		<?php echo _("Search"); ?>
	    </A><BR>
	    <A HREF="javascript:;" onclick="ajaxBusy=false ; Action ('groupAddForm', 'main');">
		<?php echo _("Add") ; ?>
	    </A>
	</div>
	<H4><?php echo _("Machines") ; ?></H4>
	<div id="machinemenu">
	    <A HREF="javascript:;" onclick="ajaxBusy=false ; Action ('machineSearchForm', 'main');">
		<?php echo _("Search"); ?>
	    </A><BR>
	    <A HREF="javascript:;" onclick="ajaxBusy=false ; Action ('machineAddForm', 'main');">
		<?php echo _("Add") ; ?>
	    </A>
	</div>
	<div id=logout>
	</div>
	<div id="main" class="rightcolumn">
	    <?php echo _("Please choose from menu") ; ?>
	</div>
    </body>
</html>
